PASMO(1)

NAME
pasmo — Z80 assembler

SYNOPSIS

pasmo [options] file.asm file.bin [file.sys]

DESCRIPTION

This manual page documents briefly the pasmo command.

This manual page was written for the Debian distribution because the original program does not have a manual page. Instead, it has documentation in the html format; see below.

pasmois a multiplatform Z80 cross-assembler, easy to compile and easy to use. It can generate object code in several formats suitable for many Z80 machines and emulators. pasmo generates fixed position code, can not be used to create relocatable object files for use with linkers.

pasmo is compatible with the syntax used in several old assemblers, by supporting several styles of numeric and string literals and by providing several names of the most used directives. However, in Pasmo the Z80 mnemonics, register and flags names and directives are reserved words, this may require changes of symbol names conflicting in some programs.

pasmo can also generate the 8086 equivalent to the z80 assembly code. It can create COM files for ms-dos, by using the binary generation mode, or CMD files for CP/M 86, by using the --cmd option. This feature is experimental, use with care.

OPTIONS

If no options specify another, the object code format is binary without headers.

-d  Show debug info during assembly.

-1  Show debug info during assembly, also in first pass.

-v  Verbose. Show progress information during assembly.

-I  Add directory to the list for searching files in INCLUDE and INCBIN.

--hex
    Generate the object file in Intel HEX format.

--bin
    Generate the object file in pure binary format without headers.

--prl
    Generate the object file in the PRL format. Useful for CP/M Plus RSX.

--cmd
    Generate the object file in CP/M 86 CMD format.

--plus3dos
    Generate the object file with PLUS3DOS header (Spectrum disk).

--tap
    Generate a .tap file for Spectrum emulators (tape image).

--tzx
    Generate a .tzx file for Spectrum emulators (tape image).

--cdt
    Generate a .cdt file for Spectrum emulators (tape image).

--tapbas
    Same as --tap option but adding a Basic loader.

--tzxbas
    Same as --tzx option but adding a Basic loader.

--cdtbas
    Same as --cdt option but adding a Basic loader.

--amsdos
    Generate the object file with Amsdos header (Amstrad CPC disk).

--msx
    Generate the object file with header for use with BLOAD in MSX Basic.

--public
    The symbol table listing will include only symbols declared as PUBLIC.

--name
    Name for the header in the formats that use it. If unspecified the object file name will be used.

--err
    Direct error messages to standard ouptut instead of error output (except for errors in options).

--nocase
    Make identifiers case insensitive.

--alocal
    Autolocal mode: the labels than begins with a '_' are locals, and his ambit finishes in the next no local label or in the next PROC, LOCAL or MACRO directive.

-B --bracket
    Bracket only mode: parenthesis are reserved for expressions.

-E --equ
    Predefine a label.

-8 --w8080
    Show warnings when using Z80 instructions that does not exist in 8080.

--86
    Generate 8086 code.

AUTHOR

This manual page was written by Joost Yervante Damad joost@lumatec.be for the Debian system (but may be used by others). It is just a rerendering of the original documentation as a manual page. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.